GensivDocs
AcademyAPI referenceMCP

Basics

OverviewAuthenticationRate limitsErrors

Endpoints

List topics GETAdd topic POSTGet topic insights GETUpdate topic PATCHDelete topic DELETE
Topics

Update topic PATCH

Rename or recolor a topic.

Get movers GET

Prompts gaining and losing the most visibility over the last 7 days.

Gensiv

Resources

AcademyWebsiteBlogGlossary

Developer tools

API referenceMCP serverChangelog

Support

Contact supportGetting startedRate limits

© 2026 Gensiv. All rights reserved.

Topics

Delete topic

DELETE
/brands/{brandId}/topics/{topicId}

Delete a topic and remove it from every prompt.

Authorization

apiKey write
headerx-api-key<token>

Workspace API key from Settings > API keys. Also accepted as Authorization: Bearer gsk_...

Scope: write

Path Parameters

brandId*string
Formatuuid
topicId*string
Formatuuid

Response Body

Topic deleted

Example Request
curl -X DELETE 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/topics/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
Empty

Update topic PATCH

Rename or recolor a topic.

Get movers GET

Prompts gaining and losing the most visibility over the last 7 days.

Start free trial
Start free trial
Example Request
curl -X DELETE 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/topics/497f6eca-6276-4993-bfeb-53cbbbba6f08'